AddCSLuaFile( "cl_init.lua" )
AddCSLuaFile( "shared.lua" )
  
include('shared.lua')
 
 
function ENT:SpawnFunction( ply, tr )

	if ( !tr.Hit ) then return end
	
	local SpawnPos = tr.HitPos + tr.HitNormal * 16
	
	local ent = ents.Create( "tablett_2" ) // Name des Ordners hier!
		ent:SetPos( SpawnPos )
		ent:Spawn()
		ent:Activate()
	
	return ent
	
end


function ENT:Initialize()
  
self.Entity:SetModel( "models/kunoszeug/holz_tablett_01.mdl" ) // Modelpfad
self.Entity:PhysicsInit( SOLID_VPHYSICS )
self.Entity:SetMoveType( MOVETYPE_VPHYSICS )
self.Entity:SetSolid( SOLID_VPHYSICS )

local phys = self.Entity:GetPhysicsObject()
	if (phys:IsValid()) then
		phys:Wake()
	end
end
 
function ENT:Use( activator, caller )
if ( !activator:IsPlayer() ) then return end
if ( activator:Health() >= 110 ) then activator:PrintMessage( 4, "You are fat enough!" ) return end

local oldhealth = activator:Health() // Hier mit bekommen bekommen wir die Health des Spielers raus der das Tablett benutzt
	activator:SetHealth( oldhealth + 12.5 ) // Hier mit Geben wir dem Spieler die Health. In diesem Fall  +5 Healthpunkte!

self.Entity:EmitSound( "rumgefresse" )

self.Entity:Remove()

end
  
function ENT:Think()
end 